Skip to main content
GET
List currency orders

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Search currency orders by id or title

filter[id]
string

Filter by exact id. Supports comma-separated values for multiple matches.

Example:

"3,6,9"

filter[currency_offer_id]
string

Filter by exact currency offer id. Supports comma-separated values for multiple matches.

Example:

241493

filter[game_id]
string

Filter by exact game id. Supports comma-separated values for multiple matches.

Example:

36963

filter[buyer_id]
string

Filter by exact buyer id. Supports comma-separated values for multiple matches.

Example:

797570

filter[status]
enum<string>

Filter by order status

Available options:
pending,
in_delivery,
delivered,
refunded
Example:

"pending"

filter[is_disputed]
boolean

Filter by active dispute status

filter[created_at]
string

Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[updated_at]
string

Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2025-10-05"

filter[sold_at]
string

Filter by sold at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[completed_at]
string

Filter by completed at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[refunded_at]
string

Filter by refunded at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

sort
enum<string>
default:-updated_at

Sort by field. Prefix with - for descending order.

Available options:
id,
-id,
price,
-price,
quantity,
-quantity,
delivery_time,
-delivery_time,
created_at,
-created_at,
updated_at,
-updated_at,
sold_at,
-sold_at,
completed_at,
-completed_at
Example:

"-updated_at"

per_page
integer
default:15

Items per page (max 50)

Required range: 1 <= x <= 50

Response

A paginated list of currency orders for an offer

data
object[]
meta
object